/*
 * Class WEL_BITMAP_INFO
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_780 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_780 [] = {0xFF01,1551,779,0xFFFF};
static const EIF_TYPE_INDEX egt_2_780 [] = {0xFF01,779,0xFFFF};
static const EIF_TYPE_INDEX egt_3_780 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_780 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_780 [] = {0xFF01,779,0xFFFF};
static const EIF_TYPE_INDEX egt_6_780 [] = {0xFF01,779,0xFFFF};
static const EIF_TYPE_INDEX egt_7_780 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_780 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_780 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_780 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_780 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_780 [] = {0xFF01,779,0xFFFF};
static const EIF_TYPE_INDEX egt_13_780 [] = {0xFF01,760,0xFFFF};
static const EIF_TYPE_INDEX egt_14_780 [] = {0xFF01,761,0xFFFF};
static const EIF_TYPE_INDEX egt_15_780 [] = {0xFF01,760,0xFFFF};


static const struct desc_info desc_780[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_780), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_780), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_780), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_780), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_780), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_780), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_780), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_780), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_780), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_780), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_780), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_780), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0617 /*779*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_780), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12768, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18196, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18197, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_780), 18198, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18199, 4},
	{EIF_GENERIC(egt_14_780), 18200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 18201, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18202, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18203, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_780), 18205, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18206, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18207, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18208, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18209, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18210, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18190, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18191, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18192, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18193, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 18194, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18195, 0xFFFFFFFF},
};
void Init780(void)
{
	IDSC(desc_780, 0, 779);
	IDSC(desc_780 + 1, 1, 779);
	IDSC(desc_780 + 32, 791, 779);
	IDSC(desc_780 + 34, 1359, 779);
	IDSC(desc_780 + 44, 1308, 779);
	IDSC(desc_780 + 54, 287, 779);
	IDSC(desc_780 + 57, 935, 779);
}


#ifdef __cplusplus
}
#endif
